Get an Adjusted Balance by ID

get

/adjustBalance/{id}

Gets the specified adjusted balance.

Request

Path Parameters
  • The adjustment ID or adjustment number.
    Examples

Query Parameters
  • The type of object to return. Use @type=AdjustBalance for a base object. Use @type=AdjustBalanceOracle for an extended object.
  • The list of comma-separated fields to return in the response.
    Examples

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The adjusted balance was retrieved successfully.
Body ()
Root Schema : Adjust Balance
Type: object
Title: Adjust Balance
An adjustment to a balance.
Show Source
Nested Schema : Quantity
Type: object
Represents an amount in a specified unit.
Show Source
Nested Schema : bieId
Type: array
The bills, items, or events are associated with the adjustment.
Show Source
Nested Schema : Billing Cycle Specification Ref Oracle
Type: object
Title: Billing Cycle Specification Ref Oracle
A reference to a billing cycle specification, extended for BRM REST Services Manager.
Show Source
Nested Schema : Bill Structure Ref
Type: object
Title: Bill Structure Ref
A reference to a bill structure, extended for BRM REST Services Manager.
Show Source
Nested Schema : Bucket Ref
Type: object
Title: Bucket Ref
A reference to a bucket.
Show Source
Nested Schema : ChannelRef
Type: object
A reference to a channel.
Show Source
Nested Schema : impactedBucket
Type: array
The buckets are impacted by the adjustment. itself.
Show Source
Nested Schema : Logical Resource Ref
Type: object
Title: Logical Resource Ref
A reference to a logical resource.
Show Source
Nested Schema : Party Account Ref
Type: object
Title: Party Account Ref
A reference to a party account.
Show Source
Nested Schema : ProductRef
Type: object
A product reference.
Match All
A product reference.
A product reference.
Show Source
Nested Schema : relatedParty
Type: array
The parties related to the adjusted balance. (BRM does not use this property).
Show Source
Nested Schema : Related Party
Type: object
Title: Related Party
A party related to another object.
Show Source
Nested Schema : BIEField Oracle
Type: object
Title: BIEField Oracle
A bill, item, or event, extended for BRM REST Services Manager.
Show Source
Nested Schema : ImpactedBucket
Type: object
A bucket impacted by a balance top-up, adjustment, transfer, or reservation.
Show Source
Nested Schema : item
Type: array
Minimum Number of Items: 1
The impacted bucket items.
Show Source
Nested Schema : ImpactedBucketItem
Type: object
An impact item that affects an ImpactedBucket object.
Show Source
Nested Schema : EntityRef
Match All
Represents an entity reference schema for EntityRef classes.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Addressable
Type: object
Defines a base schema for addressable entities.
Show Source
Nested Schema : EntityRef-allOf[2]
Type: object
Represents an entity reference schema for EntityRef classes.
Show Source

400 Response

The request isn't valid.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

401 Response

The client doesn't have the correct privileges.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

403 Response

The request wasn't authorized.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

404 Response

The requested resource couldn't be found.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

405 Response

This method is not allowed.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

409 Response

The request could not be processed due to the conflict with the existing state of the resource.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

500 Response

The system encountered an internal error.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source
Back to Top

Examples

The following example shows how to get a balance adjustment with a specified ID by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.

This request uses the id path parameter set to an item adjustment number, but you can also set it to an item adjustment POID.

curl -X GET 'http://host:port/brm/prepayBalanceManagement/version/adjustBalance/A1-19'

Response Body

The following example shows the contents of the response body in JSON format.

{
    "id": "A1-19",
    "href": "http://host:port/brm/prepayBalanceManagement/version/adjustBalance/A1-19",
    "confirmationDate": "2025-01-08T07:40:45-08:00",
    "description": "",
    "reason": "1",
    "requestedDate": "2025-01-08T07:40:45-08:00",
    "adjustType": null,
    "amount": {
        "amount": -2.0,
        "units": "USD",
        "@baseType": null,
        "@schemaLocation": null,
        "@type": null
    },
    "bucket": null,
    "channel": null,
    "logicalResource": null,
    "partyAccount": {
        "id": "0.0.0.1+-account+228862",
        "href": null,
        "description": null,
        "name": "Daniel R",
        "status": null,
        "@baseType": null,
        "@schemaLocation": null,
        "@type": null,
        "@referredType": null
    },
    "product": null,
    "relatedParty": null,
    "requestor": {
        "id": null,
        "href": null,
        "name": "Billing Care",
        "role": null,
        "@baseType": null,
        "@schemaLocation": null,
        "@type": null,
        "@referredType": null
    },
    "status": "COMPLETED",
    "usageType": "MONETARY",
    "validFor": null,
    "@baseType": "AdjustBalance",
    "@schemaLocation": null,
    "@type": "AdjustBalance"
}
Back to Top